
#include <stdio.h>
#include <string.h>

#define SHA1_DIGEST_SIZE	20
void sha1_hash( const unsigned char *data, unsigned int len, unsigned char *hash );

int main( int argc, char *argv[] )
{
  unsigned char hash[SHA1_DIGEST_SIZE];
  int i;
	if( argc!=2 )
	{
		printf("Usage: %s <text>\n",argv[0]);
		return(0);
	}
	sha1_hash(argv[1],strlen(argv[1]),hash);
	for(i=0;i<SHA1_DIGEST_SIZE;i++)
		printf("%02x",hash[i]);
	printf("\n");
	return(0);
}

